summaryrefslogtreecommitdiff
path: root/alpine/ssh.sh
diff options
context:
space:
mode:
Diffstat (limited to 'alpine/ssh.sh')
-rwxr-xr-xalpine/ssh.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/alpine/ssh.sh b/alpine/ssh.sh
new file mode 100755
index 0000000..875ef8a
--- /dev/null
+++ b/alpine/ssh.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+# Copyright (C) 2025-2026 Maria Lisina
+# SPDX-License-Identifier: Apache-2.0
+#
+# SSH configuration
+
+set -e
+
+cat << EOF > /etc/ssh/sshd_config.d/root.conf
+PermitRootLogin yes
+PubkeyAuthentication yes
+PasswordAuthentication no
+KbdInteractiveAuthentication no
+EOF